#!/usr/bin/perl

# Parameters
my $ackcmd="/usr/local/bin/ack";

# Main Routine
my $ackopt=shift(@ARGV) if($ARGV[2] ne "");
my $option=shift(@ARGV) if($ARGV[1] ne "");
my $filename=shift(@ARGV);
if(defined $option){
	$option=~s/-d/dos/;
	$option=~s/-m/mac/;
	$option=~s/-u/unix/;
	$option=~s/-n/none/;
}
my ($fname, $num, $ix, %data, %code, @fsplt, @csplt);
if(defined $ackopt){ open CONV, "$ackcmd $ackopt $filename |" or die; }
else{ open CONV, "$filename" or die; }
if($ackopt eq "-c"){
	@fsplt=split(/\//, $filename);
	foreach my $iz (@fsplt){
		$fname=$iz;
	}
	while(my $line=<CONV>){
		if($.==2){
			$line=~s/$fname//;
			@csplt=split(/\ /, $line);
			$num=0;
			foreach my $ia (@csplt){
				$code{$num}=$ia;
				$num++ if($ia ne "");
			}
		}
	}
	close CONV;
	$num=$code{7}-1;
	print "code=$code{0}\n";
	print "line=$num\n";
}
else{
	while(my $line=<CONV>){
		$num=$.;
		if($option eq "dos"){
			$line=~s/\r/\r\n/g;
			$line=~s/\n/\r\n/g;
		}
		elsif($option eq "mac"){
			$line=~s/\r\n/\r/g;
			$line=~s/\n/\r/g;
		}
		elsif($option eq "unix"){
			$line=~s/\r/\n/g;
			$line=~s/\r\n/\n/g;
		}
		elsif($option eq "none"){
			$option="out";
		}
		else{
			$option="dos";
			$line=~s/\n/\r\n/g;
		}
		$data{$num}=$line;
	}
	close CONV;
	my $outfile=$filename.".".$option;
	open FILE, "> $outfile" or die;
	for($ix=1; $ix<=$num; $ix++){
		print FILE $data{$ix};
	}
	close FILE;
}
exit 0;

